View Issue Details

IDProjectCategoryView StatusLast Update
0032862Open CASCADEOCCT:Visualizationpublic2022-10-19 15:50
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032862: Visualization, Graphic3d_TextureMap - add 3D texture definition
DescriptionCurrently, Graphic3d_TextureMap is limited to 1D, 2D and Cubemap textures. In some cases, 3D textures might be needed.
Steps To Reproduce
test opengl textures texture_3d 1
TagsNo tags attached.
Test case numberopengl/textures/texture_3d

Activities

git

2022-03-02 16:10

administrator   ~0107137

Branch CR32862 has been created by kgv.

SHA-1: 12668e190283075bf7328eb725090cae255ce515


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 15:21:22 2022 +0300

    0032862: Visualization, Graphic3d_TextureMap - add 3D texture definition
    
    Image_PixMap has been extended to support definition of 3D bitmap (as an array of 2D slices).
    
    Graphic3d_TypeOfTexture enumeration values have been renamed to include full enum prefix.
    Added Graphic3d_TypeOfTexture_3D redirecting to GL_TEXTURE_3D.
    OpenGl_Texture::Init() has been extended to allow initialization of 3D texture.

git

2022-03-02 17:47

administrator   ~0107139

Branch CR32862 has been updated by kgv.

SHA-1: e34fccee1d7803c104de34dc9235e1d2be5f62c1


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 17:46:51 2022 +0300

    Graphic3d_TOT_2D_MIPMAP has been deprecated in favor of dedicated Graphic3d_TextureRoot::SetMipMaps().

Author: kgv
Date: Wed Mar 2 16:34:00 2022 +0300

    Graphic3d_Texture2Dmanual merged into Graphic3d_Texture2D and marked as deprecated alias.

git

2022-03-02 17:54

administrator   ~0107140

Branch CR32862 has been updated by kgv.

SHA-1: d9ecbe5412bee2586b36cf7044f9d7744d06a46e


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 17:54:39 2022 +0300

    Added Graphic3d_Texture3D class.

git

2022-03-02 21:35

administrator   ~0107144

Branch CR32862 has been updated by kgv.

SHA-1: 43ed040d52a4abdf8d29289b692a655d76bf06bd


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 20:28:53 2022 +0300

    vtexture - added argument -3d for uploading 3D texture.

git

2022-03-02 21:49

administrator   ~0107145

Branch CR32862 has been updated forcibly by kgv.

SHA-1: 0c8b6a3b4b3906af3c26fa532f6ee2395246f981

git

2022-03-02 21:51

administrator   ~0107146

Branch CR32862_1 has been created by kgv.

SHA-1: 9dad00f26b747b661d497b221761ee4f89c43da5


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 15:21:22 2022 +0300

    0032862: Visualization, Graphic3d_TextureMap - add 3D texture definition
    
    Image_PixMap has been extended to support definition of 3D bitmap (as an array of 2D slices).
    
    Graphic3d_TypeOfTexture enumeration values have been renamed to include full enum prefix.
    Added Graphic3d_TypeOfTexture_3D redirecting to GL_TEXTURE_3D.
    OpenGl_Texture::Init() has been extended to allow initialization of 3D texture.
    
    Graphic3d_Texture2Dmanual merged into Graphic3d_Texture2D and marked as deprecated alias.
    Graphic3d_TOT_2D_MIPMAP has been deprecated in favor of dedicated Graphic3d_TextureRoot::SetMipMaps().
    
    Added Graphic3d_Texture3D class.
    vtexture - added argument -3d for uploading 3D texture.

git

2022-03-03 00:52

administrator   ~0107151

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: ab6934f2a750c471661cbe2adb8189d949a9cc33

git

2022-03-03 01:05

administrator   ~0107152

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: 31ac3163afc7c439fa5f8262e6d34695284b8d27

git

2022-03-03 01:40

administrator   ~0107153

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: 672fb97c4c58354729909b3ab02fde8c95b6d4fb

git

2022-03-03 09:06

administrator   ~0107157

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: be85c02d910208e8dcbc7773e692ffa32a59902e

git

2022-03-03 09:13

administrator   ~0107158

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: a1ab3f42313477bbe6a18aa5f9be61c9ea5572c7

git

2022-03-03 11:03

administrator   ~0107160

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: d9589a3a0e11c9ffdb60b0e34edb9ed36e7fa4e7

kgv

2022-03-03 11:20

developer   ~0107161

Last edited: 2022-03-03 11:21

Patch is ready for review
- OCCT: branch CR32862_1.
- OCC Products: branch CR32862_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32862_1-master-KGV/

osa

2022-03-03 16:41

developer   ~0107169

The patch was reviewed

smoskvin

2022-03-04 11:19

administrator   ~0107181

Warning on Debian80-64 and Windows-64-VC12 samples qt

http://jenkins-test-08.nnov.opencascade.com/view/CR0-WEEK-9/view/SAMPLES/job/CR0-WEEK-9-OCCT-Debian80-64-qt-samples-linux/2/parsed_console/

git

2022-03-04 11:27

administrator   ~0107182

Branch CR32862_1 has been updated forcibly by kgv.

SHA-1: 9be116c02ab20d47aa39f538a097bdcbf5a8e928

kgv

2022-03-04 11:27

developer   ~0107183

@smoskvin, please check updated patch (the same branches CR32862_1/CR32862_1).

smoskvin

2022-03-06 10:09

administrator   ~0107210

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-06 13:20

administrator   ~0107225

Branch CR32862 has been deleted by mnt.

SHA-1: 0c8b6a3b4b3906af3c26fa532f6ee2395246f981

git

2022-03-06 13:20

administrator   ~0107226

Branch CR32862_1 has been deleted by mnt.

SHA-1: 9be116c02ab20d47aa39f538a097bdcbf5a8e928

Related Changesets

occt: master 633084b8

2022-03-02 15:21:22

kgv


Committer: smoskvin Details Diff
0032862: Visualization, Graphic3d_TextureMap - add 3D texture definition

Image_PixMap has been extended to support definition of 3D bitmap (as an array of 2D slices).

Graphic3d_TypeOfTexture enumeration values have been renamed to include full enum prefix.
Added Graphic3d_TypeOfTexture_3D redirecting to GL_TEXTURE_3D.
OpenGl_Texture::Init() has been extended to allow initialization of 3D texture.

Graphic3d_Texture2Dmanual merged into Graphic3d_Texture2D and marked as deprecated alias.
Graphic3d_TOT_2D_MIPMAP has been deprecated in favor of dedicated Graphic3d_TextureRoot::SetMipMaps().

Added Graphic3d_Texture3D class.
vtexture - added argument -3d for uploading 3D texture.
Affected Issues
0032862
mod - samples/OCCTOverview/code/Sample2D_Image.cxx Diff File
mod - src/AIS/AIS_TexturedShape.cxx Diff File
mod - src/AIS/AIS_TexturedShape.hxx Diff File
mod - src/AIS/AIS_XRTrackedDevice.cxx Diff File
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff File
mod - src/Graphic3d/FILES Diff File
mod - src/Graphic3d/Graphic3d_CubeMap.cxx Diff File
mod - src/Graphic3d/Graphic3d_CubeMap.hxx Diff File
mod - src/Graphic3d/Graphic3d_MediaTexture.cxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1Dmanual.cxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1Dmanual.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1Dsegment.cxx Diff File
mod - src/Graphic3d/Graphic3d_Texture2D.cxx Diff File
mod - src/Graphic3d/Graphic3d_Texture2D.hxx Diff File
rm - src/Graphic3d/Graphic3d_Texture2Dmanual.cxx Diff File
mod - src/Graphic3d/Graphic3d_Texture2Dmanual.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture2Dplane.cxx Diff File
add - src/Graphic3d/Graphic3d_Texture3D.cxx Diff File
add - src/Graphic3d/Graphic3d_Texture3D.hxx Diff File
mod - src/Graphic3d/Graphic3d_TextureEnv.cxx Diff File
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff File
mod - src/Graphic3d/Graphic3d_TextureRoot.hxx Diff File
mod - src/Graphic3d/Graphic3d_TypeOfTexture.hxx Diff File
mod - src/Image/Image_PixMap.cxx Diff File
mod - src/Image/Image_PixMap.hxx Diff File
mod - src/Image/Image_PixMapData.hxx Diff File
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff File
mod - src/OpenGl/OpenGl_AspectsSprite.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Font.cxx Diff File
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff File
mod - src/OpenGl/OpenGl_Sampler.cxx Diff File
mod - src/OpenGl/OpenGl_Texture.cxx Diff File
mod - src/OpenGl/OpenGl_Texture.hxx Diff File
mod - src/OpenGl/OpenGl_TileSampler.cxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/QABugs/QABugs_1.cxx Diff File
mod - src/V3d/V3d_View.cxx Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
mod - src/XCAFPrs/XCAFPrs_Texture.cxx Diff File
mod - src/XCAFPrs/XCAFPrs_Texture.hxx Diff File
mod - tests/opengl/data/textures/cubemap_jpg Diff File
add - tests/opengl/data/textures/texture_3d Diff File

occt-products: master 811792d8

2022-03-02 22:09:58

kgv


Committer: smoskvin Details Diff
0032862: Visualization, Graphic3d_TextureMap - add 3D texture definition Affected Issues
0032862
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - samples/qt/Unfolding/inc/StdAfx.h Diff File
mod - src/PMIVis/PMIVis_Info.hxx Diff File
mod - src/PMIVis/PMIVis_TextLabel.cxx Diff File
mod - src/VolumeRender/VolumeRender_RawRenderer.cxx Diff File
mod - src/VolumeRender/VolumeRender_RaytraceRenderer.cxx Diff File

Issue History

Date Modified Username Field Change
2022-03-02 16:09 kgv New Issue
2022-03-02 16:09 kgv Assigned To => kgv
2022-03-02 16:10 git Note Added: 0107137
2022-03-02 17:47 git Note Added: 0107139
2022-03-02 17:54 git Note Added: 0107140
2022-03-02 21:35 git Note Added: 0107144
2022-03-02 21:49 git Note Added: 0107145
2022-03-02 21:51 git Note Added: 0107146
2022-03-03 00:52 git Note Added: 0107151
2022-03-03 01:05 git Note Added: 0107152
2022-03-03 01:40 git Note Added: 0107153
2022-03-03 09:06 git Note Added: 0107157
2022-03-03 09:13 git Note Added: 0107158
2022-03-03 11:03 git Note Added: 0107160
2022-03-03 11:14 kgv Assigned To kgv => osa
2022-03-03 11:14 kgv Status new => resolved
2022-03-03 11:20 kgv Note Added: 0107161
2022-03-03 11:21 kgv Note Edited: 0107161
2022-03-03 11:22 kgv Steps to Reproduce Updated
2022-03-03 11:22 kgv Test case number => opengl/textures/texture_3d
2022-03-03 16:41 osa Assigned To osa => bugmaster
2022-03-03 16:41 osa Status resolved => reviewed
2022-03-03 16:41 osa Note Added: 0107169
2022-03-04 11:19 smoskvin Assigned To bugmaster => kgv
2022-03-04 11:19 smoskvin Status reviewed => assigned
2022-03-04 11:19 smoskvin Note Added: 0107181
2022-03-04 11:27 git Note Added: 0107182
2022-03-04 11:27 kgv Note Added: 0107183
2022-03-04 11:28 kgv Assigned To kgv => bugmaster
2022-03-04 11:28 kgv Status assigned => resolved
2022-03-04 11:28 kgv Status resolved => reviewed
2022-03-06 10:09 smoskvin Status reviewed => tested
2022-03-06 10:09 smoskvin Note Added: 0107210
2022-03-06 13:15 smoskvin Changeset attached => occt master 633084b8
2022-03-06 13:15 kgv Assigned To bugmaster => kgv
2022-03-06 13:15 kgv Status tested => verified
2022-03-06 13:15 kgv Resolution open => fixed
2022-03-06 13:15 smoskvin Changeset attached => occt-products master 811792d8
2022-03-06 13:20 git Note Added: 0107225
2022-03-06 13:20 git Note Added: 0107226
2022-10-19 15:50 smoskvin Assigned To kgv => vpozdyayev